#
# spec file for package perl-Crypt-OpenSSL-RSA
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name Crypt-OpenSSL-RSA
Name:           perl-Crypt-OpenSSL-RSA
Version:        0.28
Release:        2.26
Summary:        RSA encoding and decoding, using the openSSL libraries
License:        GPL-1.0+ OR Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Crypt-OpenSSL-RSA
Source:         http://search.cpan.org/CPAN/authors/id/P/PE/PERLER/Crypt-OpenSSL-RSA-%{version}.tar.gz
Patch0:         %{cpan_name}.patch
Patch1:         openssl110.patch
BuildRequires:  openssl-devel
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Crypt::OpenSSL::Random)
Requires:       perl(Crypt::OpenSSL::Random)
%{perl_requires}

%description
Crypt::OpenSSL::RSA is an XS perl module designed to provide basic RSA
functionality.  It does this by providing a glue to the RSA functions
in the OpenSSL library.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch0
%patch1 -p1

%build
perl Makefile.PL OPTIMIZE="%{optflags} -Wall"
make %{?_smp_mflags}

%check
make %{?_smp_mflags} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes LICENSE README

%changelog
* Mon Aug 21 2017 tchvatal@suse.com
- Sort with spec-cleaner
- Add patch openssl110.patch fixing compatibility with openssl-1.1.0
* Wed Nov 30 2011 coolo@suse.com
- fix license (bnc#733411)
* Tue Nov 29 2011 coolo@suse.com
- update to 0.28
  - RT 56454 - Win32 compatibility patch (kmx@cpan.org)
  - RT 65947 - Fix RSA.pm break with perl 5.14+
* Tue May 17 2011 coolo@opensuse.org
- fix use of autoloader
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Apr  4 2010 chris@computersalat.de
- update to 0.26
  - Change subclassing test to generate a 512 bit key in order to work
    around an odd issue seen on some 64-bit redhat systems.
    (CPAN bug 45498)
- cleanup spec
  o sort TAGS
  o update Url
  o fixed deps
    added Crypt::OpenSSL::Random
  o updated description
  o added missing clean section
  o added missing doc
- added perl-macros
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Nov  4 2008 ro@suse.de
- add openssl-devel to BuildRequires to fi build
* Tue Oct 28 2008 varkoly@suse.de
- Initial version of perl-Crypt-OpenSSL-RSA
